### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
MCAmericanEngine< RNG, S > Class Template Reference
Vanilla option engines

American Monte Carlo engine. More...

`#include <ql/pricingengines/vanilla/mcamericanengine.hpp>`

Inheritance diagram for MCAmericanEngine< RNG, S >:
[legend]

List of all members.

## Public Member Functions

| MCAmericanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps, Size timeStepsPerYear, bool antitheticVariate, bool controlVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed, Size polynomOrder, LsmBasisSystem::PolynomType polynomType, Size nCalibrationSamples=Null< Size >())
void | calculate () const

## Protected Member Functions

boost::shared_ptr < LongstaffSchwartzPathPricer < Path > > | lsmPathPricer () const
Real | controlVariateValue () const
boost::shared_ptr< PricingEngine > | controlPricingEngine () const
boost::shared_ptr< PathPricer < Path > > | controlPathPricer () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCAmericanEngine< RNG, S >

American Monte Carlo engine.

References:

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature